//    FIQ    
// , , 
#include <LPC213x.h>
void main(void) {
PINSEL0=0x0C+0xC0;			//   P0.1   EINT0	+ P0.3   EINT1
//D0, D1 -   0: 00 - GPIO, 01 - TxD (UART0), 10 - PWM1,  11 -   ( GPIO)
//D3, D2 -   1: 00 - GPIO, 01 - RxD (UART0), 10 - PWM3,  11 - EINT0 ( EINT0)
//D5, D4 -   2: 00 - GPIO, 01 - SCL0(I2C0), 10 - CAP0.1, 11 -   ( GPIO)
//D7, D6 -   3: 00 - GPIO, 01 - SDA0(I2C0), 10 - MAT0.0, 11 - EINT1 ( EINT1)
//      .

IODIR0 =0x00000001;    		//   P0.0  
IOSET0 =0x00000001;	   		//   P0.0

EXTMODE=0x03;				//   EINT0, EINT1   
// D0 = 0  EINT0    
// D0 = 1  EINT0     ,    EXTPOLAR
// D1   EINT1, D2   EINT2, D3   EINT3

//  ,     
//EXTPOLAR=0x00;				//   EINT0, EINT1   
EXTPOLAR=0x03;				//   EINT0, EINT1   
// D0 = 0  EINT0     ,    EXTMODE
// D0 = 1  EINT0     ,    EXTMODE
// D1   EINT1, D2   EINT2, D3   EINT3


VICIntSelect=0x0000C000;	//  FIQ  EINT0, EINT1 
//    ,   = 1 - FIQ,   =0 - IRQ.
VICIntEnable=0x04000+0x08000;	//    EINT0 + EINT1 
//   ,    = 1 - ,   =0    
VICIntEnClr=0x00;				//   ,   
//   ,   =1 - ,   = 0 -   (..   )

//   :
//D0 - WDT,    D1 -  .  D2 - ARMCore1  D3 - ARMCore2 
//D4 - Timer0  D5 - Timer1 	 D6 - UART0     D7 - UART1
//D8 - PWM0    D9 - I2C0 	 D10- SPI0    	D11- SPI1
//D12- PLL     D13- RTC 	 D14- EINT0   	D15- EINT1
//D16- EINT2   D17- EINT3 	 D18- AD0   	D19- I2C1
//D20- BOD     D21- I2C1 	 D22- AD1   	D23-  .

while (1) {};				//  
}

void FIQ_Handler(void) __fiq
{
 if  (EXTINT & 0x01)   
// EXTINT -    ,  = 1   
// D0 - EINT0, D1 - EINT1, D2 - EINT2, D3 - EINT3
 						IOCLR0=0x00000001;	  		//  
 if  (EXTINT & 0x02)   
 						IOSET0=0x00000001;	  		//  
  EXTINT=0x03;    									//    
//   1   EXINT    
//    -   !
}


