//     IRQ    
// , , 
#include <LPC213x.h>
void IRQ_EINT0(void) __irq;
void IRQ_EINT1(void) __irq;

void main(void) {
//   -
PINSEL0=0x000000CC;			//   P0.1   EINT0	, P0.3   EINT1
IODIR0 =0x00000001;    		//   P0.0  
IOSET0 =0x00000001;	   		//   P0.0

//   
EXTPOLAR=0x00;				//   EINT0, EINT1   

//   
VICVectCntl0 	= 0x00000020+14;  //   0 +    IENT0
VICVectCntl1 	= 0x00000020+15;  //   1 +    IENT1
//  D0-D4 -   
//00 - WDT,    01 -  .  02 - ARMCore1  03 - ARMCore2 
//04 - Timer0  05 - Timer1 	 06 - UART0     07 - UART1
//08 - PWM0    09 - I2C0 	 10 - SPI0    	11 - SPI1
//12 - PLL     13 - RTC 	 14 - EINT0   	15 - EINT1
//16 - EINT2   17 - EINT3 	 18 - AD0   	19 - I2C1
//20 - BOD     21- I2C1 	 22 - AD1   	23 -  .
//  D5-    . =1 -  

VICIntSelect=0x00;						//   FIQ 
VICVectAddr0 	= (unsigned)IRQ_EINT0;	//     EINT0
VICVectAddr1 	= (unsigned)IRQ_EINT1;	//     EINT0
VICIntEnable=0x04000+0x08000;			//    EINT0 + EINT1 

while (1) {};				//  

}

void IRQ_EINT0(void) __arm __irq 
{
 	IOCLR0=0x00000001;	  			//  
  	EXTINT=0x01;    				//     EINT0
  	VICVectAddr 	= 0x00000000;	//   
}

void IRQ_EINT1(void) __arm __irq
{
	IOSET0=0x00000001;	  			//  
  	EXTINT=0x02;    				//     EINT1
  	VICVectAddr 	= 0x00000000;	//   
}
 

